| Home | Libraries | People | FAQ | More

## Function template fill_n

boost::compute::fill_n

## Synopsis

    // In header: <boost/compute/algorithm/fill_n.hpp>

    template<typename BufferIterator, typename Size, typename T>
      void fill_n(BufferIterator first, Size count, const T & value,
                  command_queue & queue = system::default_queue());

## Description

Fills the range [`first`, `first` + count) with `value`.

See Also:

fill()